import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

Widget h1({
  required String text,
  required BuildContext context,
  Color? color,
  int? maxLines,
  double? width,
  EdgeInsetsGeometry? padding,
}) =>
    Padding(
      padding: padding ?? EdgeInsets.zero,
      child: SizedBox(
        width: width,
        child: Text(
          text,
          style: Theme.of(context).textTheme.headline3!.copyWith(
                color: color ?? Colors.black,
                overflow: TextOverflow.ellipsis,
              ),
          maxLines: maxLines,
        ),
      ),
    );

Widget h2({
  required String text,
  required BuildContext context,
  Color? color,
  int? maxLines,
  double? width,
  EdgeInsetsGeometry? padding,
}) =>
    Padding(
      padding: padding ?? EdgeInsets.zero,
      child: SizedBox(
        width: width,
        child: Text(
          text,
          style: Theme.of(context).textTheme.headline4!.copyWith(
                color: color ?? Colors.black,
                overflow: TextOverflow.ellipsis,
              ),
          maxLines: maxLines,
        ),
      ),
    );

Widget h3({
  required String text,
  required BuildContext context,
  Color? color,
  int? maxLines,
  double? width,
  EdgeInsetsGeometry? padding,
}) =>
    Padding(
      padding: padding ?? EdgeInsets.zero,
      child: SizedBox(
        width: width,
        child: Text(
          text,
          style: Theme.of(context).textTheme.headline5!.copyWith(
                color: color ?? Colors.black,
                fontWeight: FontWeight.w400,
                overflow: TextOverflow.ellipsis,
              ),
          maxLines: maxLines,
        ),
      ),
    );

Widget h4({
  required String text,
  required BuildContext context,
  Color? color,
  int? maxLines,
  double? width,
  EdgeInsetsGeometry? padding,
}) =>
    Padding(
      padding: padding ?? EdgeInsets.zero,
      child: SizedBox(
        width: width,
        child: Text(
          text,
          style: Theme.of(context).textTheme.headline6!.copyWith(
                color: color ?? Colors.black,
                fontSize: 18,
                fontWeight: FontWeight.w500,
                overflow: TextOverflow.ellipsis,
              ),
          maxLines: maxLines,
        ),
      ),
    );

Widget body({
  required String text,
  required BuildContext context,
  Color? color,
  int? maxLines,
  double? width,
  EdgeInsetsGeometry? padding,
}) =>
    Padding(
      padding: padding ?? EdgeInsets.zero,
      child: SizedBox(
        width: width,
        child: Text(
          text,
          style: Theme.of(context).textTheme.bodyText1!.copyWith(
                color: color ?? Colors.black,
                fontSize: 15,
                overflow: TextOverflow.ellipsis,
                fontWeight: FontWeight.w400,
              ),
          maxLines: maxLines,
        ),
      ),
    );

Widget bodySm({
  required String text,
  required BuildContext context,
  Color? color,
  int? maxLines,
  double? width,
  EdgeInsetsGeometry? padding,
}) =>
    Padding(
      padding: padding ?? EdgeInsets.zero,
      child: SizedBox(
        width: width,
        child: Text(
          text,
          style: Theme.of(context).textTheme.bodyText2!.copyWith(
                color: color ?? Colors.black,
                overflow: TextOverflow.ellipsis,
              ),
          maxLines: maxLines,
        ),
      ),
    );

Widget muted({
  required String text,
  required BuildContext context,
  Color? color,
  int? maxLines,
  double? width,
  EdgeInsetsGeometry? padding,
}) =>
    Padding(
      padding: padding ?? EdgeInsets.zero,
      child: SizedBox(
        width: width,
        child: Text(
          text,
          style: Theme.of(context).textTheme.bodyText2!.copyWith(
                color: color ?? Colors.black54,
                overflow: TextOverflow.ellipsis,
              ),
          maxLines: maxLines,
        ),
      ),
    );

Widget buttonText({
  required String text,
  required BuildContext context,
  Color? color,
  int? maxLines,
  double? width,
  EdgeInsetsGeometry? padding,
}) =>
    Padding(
      padding: padding ?? EdgeInsets.zero,
      child: SizedBox(
        width: width,
        child: Text(
          text,
          style: Theme.of(context).textTheme.subtitle1!.copyWith(
                color: color ?? Colors.black,
                fontWeight: FontWeight.w500,
                overflow: TextOverflow.ellipsis,
              ),
          maxLines: maxLines,
        ),
      ),
    );

Widget caption({
  required String text,
  required BuildContext context,
  Color? color,
  int? maxLines,
  double? width,
  EdgeInsetsGeometry? padding,
}) =>
    Padding(
      padding: padding ?? EdgeInsets.zero,
      child: SizedBox(
        width: width,
        child: Text(
          text,
          style: Theme.of(context).textTheme.caption!.copyWith(
                color: color ?? Colors.black,
                fontWeight: FontWeight.w500,
                overflow: TextOverflow.ellipsis,
              fontSize: 13,
              ),
          maxLines: maxLines,
        ),
      ),
    );
